Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins
Class EntityMultiInstanceSynchronizationInterceptor.MultiInstanceSynchronization

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.EntitySynchronizationInterceptor.InstanceSynchronization
            |
            +--org.jboss.ejb.plugins.EntityMultiInstanceSynchronizationInterceptor.MultiInstanceSynchronization

All Implemented Interfaces:
  javax.transaction.Synchronization

Enclosing class:
  EntityMultiInstanceSynchronizationInterceptor

protected class EntityMultiInstanceSynchronizationInterceptor.MultiInstanceSynchronization
extends EntitySynchronizationInterceptor.InstanceSynchronization

Fields inherited from class org.jboss.ejb.plugins.EntitySynchronizationInterceptor.InstanceSynchronization
`ctx, lock, tx`

Method Summary
`void` | `afterCompletion(int status)`

Methods inherited from class org.jboss.ejb.plugins.EntitySynchronizationInterceptor.InstanceSynchronization
`beforeCompletion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### afterCompletion

    public void afterCompletion(int status)

  Overrides:
    `afterCompletion` in class `EntitySynchronizationInterceptor.InstanceSynchronization`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.